#if !defined(AFX_CHECKCOMBO1_H__472631A8_8221_417F_8982_CD765EB28621__INCLUDED_)
#define AFX_CHECKCOMBO1_H__472631A8_8221_417F_8982_CD765EB28621__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CheckCombo1.h : header file
//
#include "MyListBox.h"

/////////////////////////////////////////////////////////////////////////////
// CComboBitmap window

class CComboBitmap : public CComboBox
{
// Construction
public:
	CComboBitmap();

// Attributes
public:
	CMyListBox m_ListBox;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CComboBitmap)
	public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	virtual void MeasureItem(LPMEASUREITEMSTRUCT lpMeasureItemStruct);
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetSize(int width,int height);
	void OutputBitmap(LPDRAWITEMSTRUCT lpDIS, bool selected);
	int m_nItemHeight;
	int m_nItemWidth;
	int InsertBitmap(int nIndex,CBitmap *pBM, char *string);
	int AddBitmap(CBitmap *pBM,char *string);
	void DrawBitmap(CDC *pDC, CBitmap *pBM,CRect &rect);
	void DrawBitmap(CDC *pDC,CBitmap *pBM, CPoint &point);
	virtual ~CComboBitmap();

	// Generated message map functions
protected:
	//{{AFX_MSG(CComboBitmap)
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHECKCOMBO1_H__472631A8_8221_417F_8982_CD765EB28621__INCLUDED_)
